Module org.jboss.classfilewriter
Package org.jboss.classfilewriter.attributes

# Class ExceptionsAttribute

java.lang.Object
org.jboss.classfilewriter.attributes.Attribute
org.jboss.classfilewriter.attributes.ExceptionsAttribute

All Implemented Interfaces:
  `WritableEntry`

public class ExceptionsAttribute extends Attribute
The exceptions attribute, stores the checked exceptions a method is declared to throw

Author:
  Stuart Douglas

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME`

## Constructor Summary

Constructors
Constructor
Description
`ExceptionsAttribute(ConstPool constPool)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addExceptionClass(String exception)`
`void`
`writeData(ByteArrayDataOutputStream stream)`

### Methods inherited from class org.jboss.classfilewriter.attributes.Attribute

`getName, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final String NAME

See Also:
  - Constant Field Values

## Constructor Details

### ExceptionsAttribute

public ExceptionsAttribute(ConstPool constPool)

## Method Details

### addExceptionClass

public void addExceptionClass(String exception)

### writeData

public void writeData(ByteArrayDataOutputStream stream) throws IOException

Specified by:
  `writeData` in class `Attribute`
Throws:
  `IOException`